# Visualization
TKV3d
Prs3d

# Prs3d_AngleAspect Class Reference

A framework for defining how an angle will be
displayed in a presentation. Aspects of angle display include:
- display of the arrow pointing to the angle
- display of the line making up the shaft of the arrow
- display of the text referring to the angle.
The definition set by this class is then passed to the
attribute manager Prs3d_Drawer.
Any object which requires a value for angle aspect as
an argument may then be given the attribute manager
as a substitute argument in the form of a field such as
myDrawer for example.
.

`#include <Prs3d_AngleAspect.hxx>`

Inheritance diagram for Prs3d_AngleAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_AngleAspect ()
Standard_EXPORT Handle_Prs3d_LineAspect | LineAspect () const
| Returns the setting determining how the line making up the shaft of the arrow will be displayed. .
Standard_EXPORT void | SetLineAspect (const Handle(Prs3d_LineAspect)&anAspect)
| Sets how the line making up the shaft of an arrow will be displayed. .
Standard_EXPORT Handle_Prs3d_TextAspect | TextAspect () const
| Returns the setting determining how text in the presentation of an angle will be displayed. .
Standard_EXPORT void | SetTextAspect (const Handle(Prs3d_TextAspect)&anAspect)
| Sets how text in the presentation of an angle will be displayed. .
Standard_EXPORT Handle_Prs3d_ArrowAspect | ArrowAspect () const
| Returns the setting determining how an arrow head which points to an angle will be displayed. .
Standard_EXPORT void | SetArrowAspect (const Handle(Prs3d_ArrowAspect)&anAspect)
| Sets how an arrow head which points to an angle will be displayed. .
Standard_EXPORT void | Print (Standard_OStream &s) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Prs3d_LineAspect | myLineAspect
Handle_Prs3d_ArrowAspect | myArrowAspect
Handle_Prs3d_TextAspect | myTextAspect

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_AngleAspect::Prs3d_AngleAspect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Prs3d_ArrowAspect Prs3d_AngleAspect::ArrowAspect | ( |  | ) | const

Standard_EXPORT const Prs3d_AngleAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_CompositeAspect.

Standard_EXPORT Handle_Prs3d_LineAspect Prs3d_AngleAspect::LineAspect | ( |  | ) | const

Standard_EXPORT void Prs3d_AngleAspect::Print | ( | Standard_OStream & | s | ) | const

Standard_EXPORT void Prs3d_AngleAspect::SetArrowAspect | ( | const Handle(Prs3d_ArrowAspect)& | anAspect | ) |

Standard_EXPORT void Prs3d_AngleAspect::SetLineAspect | ( | const Handle(Prs3d_LineAspect)& | anAspect | ) |

Standard_EXPORT void Prs3d_AngleAspect::SetTextAspect | ( | const Handle(Prs3d_TextAspect)& | anAspect | ) |

Standard_EXPORT Handle_Prs3d_TextAspect Prs3d_AngleAspect::TextAspect | ( |  | ) | const

## Field Documentation

Handle_Prs3d_ArrowAspect Prs3d_AngleAspect::myArrowAspect `[private]`

Handle_Prs3d_LineAspect Prs3d_AngleAspect::myLineAspect `[private]`

Handle_Prs3d_TextAspect Prs3d_AngleAspect::myTextAspect `[private]`

The documentation for this class was generated from the following file:

- Prs3d_AngleAspect.hxx